Skip to main content
GET
List assignments for a quickstart

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The quickstart ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"234e4567-e89b-12d3-a456-426614174000"

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
enum<string>
default:createdAt

Field to order the result set by.

Available options:
createdAt,
modifiedAt,
stage,
id
Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

stage
enum<string>

Filter by review stage

Available options:
KB_REVIEW,
TASKS_TOPICS_REVIEW,
POLICIES_REVIEW
Example:

"KB_REVIEW"

assignedTo
string

Filter by assigned user ID

Required string length: 1 - 255
Example:

"user_789012"

topicId
string<uuid>

Filter by topic ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

Response

Successfully retrieved assignments

Paginated response containing assignments

data
AssignmentQuickstart · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.